Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::AxisAlignedBoxDistance Class Reference

軸沿いボックス距離 More...

`#include <AxisAlignedBoxDistance.h>`

List of all members.

## Static Public Member Functions
float | squaredDistance (const AxisAlignedBox &aab, const Vector3 &point)
| 点距離の二乗
float | squaredDistance (const AxisAlignedBox &aab0, const AxisAlignedBox &aab1)
| 軸沿いボックス距離の二乗
float | squaredDistance (const AxisAlignedBox &aab, const Capsule &capsule)
| カプセル距離の二乗
float | squaredDistance (const AxisAlignedBox &aab, const Cone &cone)
| コーン距離の二乗
float | squaredDistance (const AxisAlignedBox &aab, const Line &line)
| ライン距離の二乗
float | squaredDistance (const AxisAlignedBox &aab, const OrientedBox &ob)
| 指向性ボックス距離の二乗
float | distance (const AxisAlignedBox &aab, const Plane &plane)
| 平面距離
float | squaredDistance (const AxisAlignedBox &aab, const Ray &ray)
| レイ距離の二乗
float | squaredDistance (const AxisAlignedBox &aab, const Segment &segment)
| セグメント距離の二乗
float | squaredDistance (const AxisAlignedBox &aab, const Sphere &sphere)
| 球距離の二乗
float | squaredDistance (const AxisAlignedBox &aab, const Triangle &triangle)
| 三角距離の二乗

## Detailed Description

軸沿いボックス距離

Definition at line 45 of file AxisAlignedBoxDistance.h.

## Member Function Documentation

float Lamp::AxisAlignedBoxDistance::distance | ( | const AxisAlignedBox & | aab,
|  | const Plane & | plane
| ) | `[static]`

  | 平面距離 Parameters:
  aab | 軸沿いボックス
  plane | 平面
Returns: 距離 Definition at line 88 of file AxisAlignedBoxDistance.cpp. References Assert.

float Lamp::AxisAlignedBoxDistance::squaredDistance | ( | const AxisAlignedBox & | aab,
|  | const Triangle & | triangle
| ) | `[static]`

  | 三角距離の二乗 Parameters:
  aab | 軸沿いボックス
  triangle | 三角
Returns: 距離の二乗 Definition at line 124 of file AxisAlignedBoxDistance.cpp. References Assert.

float Lamp::AxisAlignedBoxDistance::squaredDistance | ( | const AxisAlignedBox & | aab,
|  | const Sphere & | sphere
| ) | `[static]`

  | 球距離の二乗 Parameters:
  aab | 軸沿いボックス
  sphere | 球
Returns: 距離の二乗 Definition at line 115 of file AxisAlignedBoxDistance.cpp. References Assert.

float Lamp::AxisAlignedBoxDistance::squaredDistance | ( | const AxisAlignedBox & | aab,
|  | const Segment & | segment
| ) | `[static]`

  | セグメント距離の二乗 Parameters:
  aab | 軸沿いボックス
  segment | セグメント
Returns: 距離の二乗 Definition at line 106 of file AxisAlignedBoxDistance.cpp. References Assert.

float Lamp::AxisAlignedBoxDistance::squaredDistance | ( | const AxisAlignedBox & | aab,
|  | const Ray & | ray
| ) | `[static]`

  | レイ距離の二乗 Parameters:
  aab | 軸沿いボックス
  ray | レイ
Returns: 距離の二乗 Definition at line 97 of file AxisAlignedBoxDistance.cpp. References Assert.

float Lamp::AxisAlignedBoxDistance::squaredDistance | ( | const AxisAlignedBox & | aab,
|  | const OrientedBox & | ob
| ) | `[static]`

  | 指向性ボックス距離の二乗 Parameters:
  aab | 軸沿いボックス
  ob | 指向性ボックス
Returns: 距離の二乗 Definition at line 79 of file AxisAlignedBoxDistance.cpp. References Assert.

float Lamp::AxisAlignedBoxDistance::squaredDistance | ( | const AxisAlignedBox & | aab,
|  | const Line & | line
| ) | `[static]`

  | ライン距離の二乗 Parameters:
  aab | 軸沿いボックス
  line | ライン
Returns: 距離の二乗 Definition at line 70 of file AxisAlignedBoxDistance.cpp. References Assert.

float Lamp::AxisAlignedBoxDistance::squaredDistance | ( | const AxisAlignedBox & | aab,
|  | const Cone & | cone
| ) | `[static]`

  | コーン距離の二乗 Parameters:
  aab | 軸沿いボックス
  cone | コーン
Returns: 距離の二乗 Definition at line 61 of file AxisAlignedBoxDistance.cpp. References Assert.

float Lamp::AxisAlignedBoxDistance::squaredDistance | ( | const AxisAlignedBox & | aab,
|  | const Capsule & | capsule
| ) | `[static]`

  | カプセル距離の二乗 Parameters:
  aab | 軸沿いボックス
  capsule | カプセル
Returns: 距離の二乗 Definition at line 52 of file AxisAlignedBoxDistance.cpp. References Assert.

float Lamp::AxisAlignedBoxDistance::squaredDistance | ( | const AxisAlignedBox & | aab0,
|  | const AxisAlignedBox & | aab1
| ) | `[static]`

  | 軸沿いボックス距離の二乗 Parameters:
  aab0 | 軸沿いボックス
  aab1 | 軸沿いボックス
Returns: 距離の二乗 Definition at line 43 of file AxisAlignedBoxDistance.cpp. References Assert.

float Lamp::AxisAlignedBoxDistance::squaredDistance | ( | const AxisAlignedBox & | aab,
|  | const Vector3 & | point
| ) | `[static]`

  | 点距離の二乗 Parameters:
  aab | 軸沿いボックス
  point | 点
Returns: 距離の二乗 Definition at line 34 of file AxisAlignedBoxDistance.cpp. References Assert.

The documentation for this class was generated from the following files:

- AxisAlignedBoxDistance.h
- AxisAlignedBoxDistance.cpp